%define upstream_name    Dist-Zilla-Plugin-CopyFilesFromBuild
%define upstream_version 0.103510

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Copy (or move) specific files after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(English)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This plugin will automatically copy the files that you specify in dist.ini
from the build directory into the distribution directoory. This is so you
can commit them to version control.

If you want to put a build-generated file in version control but you
_don't_ want it to _remain_ in the build dir, use 'move' instead of 'copy'.
When you use 'move', the _MANIFEST_ file will be updated if it exists, and
the moved files will be pruned from their former location.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 14 2011 jquelin <jquelin> 0.103.510-1.mga1
+ Revision: 71056
- imported package perl-Dist-Zilla-Plugin-CopyFilesFromBuild


* Mon Mar 14 2011 cpan2dist 0.103510-1mga
- initial mageia release, generated with cpan2dist
